.checkbox {
  vertical-align: top;
  height: 100%;
  input[type=checkbox]{
    display:none;
  }

  label {
    cursor: pointer;
    text-indent: -9999px;
    width: 2em;
    height: 1em;
    display: block;
    border-radius: 100px;
    border: 1px solid $primary-color;
    position: relative;
    margin: 5px 0 0 0;
  }

  label:after {
    content: '';
    position: absolute;
    width: 1em;
    height: 1em;
    background: #fff;
    border-radius: 50%;
    transition: 0.3s;
    left: -1px;
    top: -1px;
    border: 1px solid $primary-color;
  }

  input:checked + label {
    background-color: $primary-color;
  }

  input:checked + label:after {
    transform: translateX(100%);
  }
}

.checkbox-round {
  position: relative;

  label {
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 50%;
    cursor: pointer;
    height: 28px;
    left: 0;
    position: absolute;
    top: 0;
    width: 28px;
  }

  label:after {
    border: 2px solid #fff;
    border-top: none;
    border-right: none;
    content: "";
    height: 6px;
    left: 7px;
    opacity: 0;
    position: absolute;
    top: 8px;
    transform: rotate(-45deg);
    width: 12px;
  }

  input[type="checkbox"] {
    visibility: hidden;
  }

  input[type="checkbox"]:checked + label {
    background-color: $primary-color;
    border-color: $primary-color;
  }

  input[type="checkbox"]:checked + label:after {
    opacity: 1;
  }
}

.checkbox-disabled {
  label, label:after {
    cursor: default;
  }
}